Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class ModeShapeLexicon

    java.lang.Object
      org.modeshape.graph.ModeShapeLexicon
          org.modeshape.repository.ModeShapeLexicon
              org.modeshape.jcr.ModeShapeLexicon

    @Immutable
    public class ModeShapeLexicon

extends ModeShapeLexicon

A lexicon of names used within ModeShape.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.ModeShapeLexicon
`ModeShapeLexicon.Namespace`

Field Summary
`static Name` | `AUTHENTICATION_PROVIDER`
`static Name` | `AUTHENTICATION_PROVIDERS`
`static Name` | `BASE`
`static Name` | `DEPTH`
`static Name` | `EXPIRATION_DATE`
`static Name` | `IS_HELD_BY_SESSION`
`static Name` | `IS_SESSION_SCOPED`
`static Name` | `LOCALNAME`
`static Name` | `LOCK`
`static Name` | `LOCKED_UUID`
`static Name` | `LOCKING_SESSION`
`static Name` | `LOCKS`
`static Name` | `NAMESPACE`
`static Name` | `NODE_TYPES`
`static Name` | `REPOSITORIES`
`static Name` | `SHARE` The name of the "mode:share" node type, used as the primary type on nodes that are proxies for the original node.
`static Name` | `SHARED_UUID` The REFERENCE property on the "mode:share" node type.
`static Name` | `SYSTEM`
`static Name` | `VERSION_HISTORY_FOLDER`
`static Name` | `VERSION_STORAGE`
`static Name` | `WORKSPACE`

Fields inherited from class org.modeshape.repository.ModeShapeLexicon
`APPLY_TO_NEW_WORKSPACES, CLUSTER_NAME, CLUSTERING, CONFIGURATION, CONTENT, DEFAULT_CACHE_POLICY, DERIVED, DERIVED_AT, DERIVED_FROM, DESCRIPTION, DESCRIPTORS, GARBAGE_COLLECTION_INTERVAL, INITIAL_CONTENT, JNDI_NAME, MIME_TYPE_DETECTOR, MIME_TYPE_DETECTORS, OPTIONS, PATH_EXPRESSION, READABLE_NAME, RETRY_LIMIT, SEQUENCER, SEQUENCERS, SOURCE, SOURCES, TEXT_EXTRACTOR, TEXT_EXTRACTORS, VALUE`

Fields inherited from class org.modeshape.graph.ModeShapeLexicon
`CLASSNAME, CLASSPATH, DEFAULT_WORKSPACE_NAME, GENERATED, HASHED, MERGE_PLAN, NAMESPACE_URI, NAMESPACES, PROJECTION, PROJECTION_RULES, PROJECTIONS, READ_ONLY, RESOURCE, ROOT, SHA1, SOURCE_NAME, TIME_TO_EXPIRE, URI, UUID, WORKSPACE_NAME, WORKSPACES`

Constructor Summary
`ModeShapeLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASE

    public static final Name BASE

### EXPIRATION_DATE

    public static final Name EXPIRATION_DATE

### IS_HELD_BY_SESSION

    public static final Name IS_HELD_BY_SESSION

### IS_SESSION_SCOPED

    public static final Name IS_SESSION_SCOPED

### LOCK

    public static final Name LOCK

### LOCKED_UUID

    public static final Name LOCKED_UUID

### LOCKING_SESSION

    public static final Name LOCKING_SESSION

### LOCKS

    public static final Name LOCKS

### NAMESPACE

    public static final Name NAMESPACE

### NODE_TYPES

    public static final Name NODE_TYPES

### REPOSITORIES

    public static final Name REPOSITORIES

### AUTHENTICATION_PROVIDERS

    public static final Name AUTHENTICATION_PROVIDERS

### AUTHENTICATION_PROVIDER

    public static final Name AUTHENTICATION_PROVIDER

### SYSTEM

    public static final Name SYSTEM

### VERSION_STORAGE

    public static final Name VERSION_STORAGE

### VERSION_HISTORY_FOLDER

    public static final Name VERSION_HISTORY_FOLDER

### WORKSPACE

    public static final Name WORKSPACE

### SHARE

    public static final Name SHARE

  The name of the "mode:share" node type, used as the primary type on nodes that are proxies for the original node. The "mode:share" node type defines a single "`mode:shared`" REFERENCE property pointing to the original node.

  With the way that ModeShape's JCR layer is implemented, JCR clients should never see `Node`s of this type. Instead, the JCR layer transparently creates a JcrSharedNode that will mirror the original.

### SHARED_UUID

    public static final Name SHARED_UUID

  The REFERENCE property on the "mode:share" node type. This property references the original node for which this node is a proxy.

### DEPTH

    public static final Name DEPTH

### LOCALNAME

    public static final Name LOCALNAME

Constructor Detail

### ModeShapeLexicon

    public ModeShapeLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.